umbrello 25.08.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Properties | List of all members
CsCodeExample.Employee Interface Reference
Inheritance diagram for CsCodeExample.Employee:

## Public Member Functions
decimal | CalculateSallaryCoeficiente ()

## Properties
decimal | Sallary`[get, set]`
string | Company`[get, set]`
int | YearsOfService`[get, set]`

## Member Function Documentation

## ◆ CalculateSallaryCoeficiente()

decimal CsCodeExample.Employee.CalculateSallaryCoeficiente | ( |  | ) |

Implemented in CsCodeExample.User.

## Property Documentation

## ◆ Company

string CsCodeExample.Employee.Company
| get set

Implemented in CsCodeExample.User.

## ◆ Sallary

decimal CsCodeExample.Employee.Sallary
| get set

Implemented in CsCodeExample.User.

## ◆ YearsOfService

int CsCodeExample.Employee.YearsOfService
| get set

Implemented in CsCodeExample.User.

The documentation for this interface was generated from the following file:

- test/import/csharp/CsCodeExample-ClassExample/User.cs